/********************************************************************************************************/

/*-------------------*\
    GENERAL
\*-------------------*/

.elementor-page .site-main .container{	
	max-width: 100%;
	width: 100%;
}

body{
	overflow-x: hidden;
    position: relative;
}

a, a:focus{
	outline: none !important;
}

/*--------------------------------------------------------------
 * ## FULL-BTN
 *--------------------------------------------------------------
*/

.full-btn .elementor-button {
    width: 100%;
}

.full-btn .elementor-button .elementor-button-text {
    flex-grow: inherit;
}

/*--------------------------------------------------------------
 * ## BORDER DESIGN
 *--------------------------------------------------------------
*/

.tp-lt-border:before,
.tp-rt-border:before,
.bt-lt-border:before,
.bt-rt-border:before{	
    border-color: #CC2E72;
    border-style: solid; 
    content: '';
    position: absolute;
    height: 80px;
	width: 80px;
}

.tp-lt-border:before{	
    border-width: 5px 0 0 5px; 
    top: -10px;
    left: -10px;
}

.tp-rt-border:before{	
    border-width: 5px 5px 0 0;
    right: -10px;
    top: -10px;
}

.bt-rt-border:before{	 
    border-width: 0 5px 5px 0;
    bottom: -10px;
    right: -10px;
}

.bt-lt-border:before{	
    border-width: 0 0 5px 5px; 
    bottom: -10px;
    left: -10px;
}

  
/*--------------------------------------------------------------
 * ## FORMINATOR
 *--------------------------------------------------------------
*/  
  
.forminator-custom-form,
 div.wpforms-container-full{
    background-color: #ffffff;
    border-radius: 0px;
    font-family: var(--e-global-typography-primary-font-family) !important;
}

.forminator-ui.forminator-custom-form:not(.forminator-size--small)[data-grid=open] .forminator-row:not(:last-child) {
    margin-bottom: 20px !important;
}

.forminator-ui.forminator-custom-form[data-design=default]:not(.forminator-size--small) .forminator-border{
    margin-top: 20px !important;
    margin-bottom: 10px !important;
}
  
.forminator-ui.forminator-custom-form[data-design=default] .forminator-title {
    font-size: 28px !important;
    font-weight: 700 !important;
    margin-top: 30px !important;
}

.forminator-ui.forminator-custom-form[data-design=default] .forminator-response-message+.forminator-row .forminator-title {
    margin-top: 0 !important;
}

.forminator-ui.forminator-custom-form[data-design=default]:not(.forminator-size--small) .forminator-border{
    margin-top: 20px;
}

.forminator-ui.forminator-custom-form[data-design=default] .forminator-label[for],
div.wpforms-container-full .wpforms-form .wpforms-field-label{
    color: var(--e-global-color-text) !important;
    font-size: 13px !important;
    font-weight: 500 !important;
    margin-bottom: 5px;
}

.forminator-ui.forminator-custom-form[data-design=default] .forminator-input,
.forminator-ui.forminator-custom-form[data-design=default] .forminator-textarea,
div.wpforms-container-full .wpforms-form input[type=text], 
div.wpforms-container-full .wpforms-form input[type=email],
div.wpforms-container-full .wpforms-form textarea,
.forminator-ui.forminator-custom-form[data-design=default] select.forminator-select2+.forminator-select .selection span[role=combobox].select2-selection--single{
    background: transparent !important;
    border-radius: 0 !important;
    border-color: #4d4d4d3b !important;
    color: var(--e-global-color-text) !important;
    font-size: 14px !important;
}

.forminator-ui.forminator-custom-form[data-design=default] .forminator-description,
div.wpforms-container-full .wpforms-form .wpforms-field-sublabel{
    color: #9e9e9e;
    font-size: 11px;
}

.forminator-ui.forminator-custom-form[data-design=default] .forminator-row-last,
div.wpforms-container-full .wpforms-submit-container{
    text-align: center;
}

.forminator-ui.forminator-custom-form[data-design=default] .forminator-button,
body div.wpforms-container-full .wpforms-form button[type=submit]{
    background: var( --e-global-color-accent ) !important;
    border: 2px solid var( --e-global-color-accent ) !important;
    border-radius: 0 !important;
    box-shadow: none !important;
    color: #ffffff;
    display: inline-block;
    padding: 15px 30px !important;
}


.forminator-ui.forminator-custom-form[data-design=default] .forminator-button:hover,
body div.wpforms-container-full .wpforms-form button[type=submit]:hover{
    background: transparent !important;
    color: var( --e-global-color-accent ) !important;
}

.forminator-ui.forminator-custom-form[data-design=default] .forminator-error-message {
    font-size: 12px;
    color: #ff0000;
    line-height: normal !important;
    font-weight: 500;
}

.forminator-ui.forminator-custom-form[data-design=default] hr.forminator-border {
    border: none !important;
    background: #d1d1d1 !important;
    height: 1px !important;
}

.forminator-select.forminator-select-dropdown-container--open {
    background: #ffffff;
    margin: 0 !important;
    padding: 0 !important;
}

.forminator-select.forminator-select-dropdown-container--open > .forminator-select-dropdown {
    padding: 0 !important;
}

.forminator-select.forminator-select-dropdown-container--open li {
    background: none !important;
    border-bottom: 1px solid #f8f8f8 !important;
    color: inherit !important;
    font-size: 14px !important;
    line-height: normal !important;
    margin-bottom: 0 !important;
    padding: 10px !important;
}

.forminator-select-dropdown-container--open .forminator-custom-form-3347.forminator-dropdown--default {
    background: none;
}

.forminator-design--default select.forminator-select2 + .forminator-select .selection .select2-selection--single[role="combobox"] .select2-selection__rendered {
    font-size: inherit !important;
}

/********************************************************************************************************/

/*-------------------*\
    HEADER
\*-------------------*/

header#masthead{
    background-color: transparent;
	border-bottom: none;
    height: auto;
    position: absolute !important;
    top: 0;
    width: 100%;
    z-index: 9999;
}


/*--------------------------------------------------------------
 * ## HEADER SITCKY
 *--------------------------------------------------------------
*/

header#masthead.sticky {
    background: #191919;
    position: fixed !important;
    width: 100%;
}

body.logged-in header#masthead.sticky {
    top: 32px;
}

header#masthead.sticky .hfe-site-logo-container{
    background: url(https://staging4.wptechgiants.com/wp-content/uploads/2024/01/logofull-light.png) no-repeat scroll center / cover;
	display: block;
    height: 52px;
    width: 150px;
}

header#masthead.sticky .hfe-site-logo-container img{
    display: none;
}

header#masthead.sticky .menu-item:not(.current-menu-item) a.hfe-menu-item {
    color: #f1f1f1;
}

header#masthead.sticky .hfe-nav-menu__toggle .hfe-nav-menu-icon {
    color: #ffffff !important;
}

/*--------------------------------------------------------------
 * ## HEADER BUTTON
 *--------------------------------------------------------------
*/

.custom-btn a{
    background: var( --e-global-color-accent) !important;
	border: 2px solid transparent;
	color: #ffffff !important;
    position: relative;
}

.custom-btn.btn2 a {
    background: var( --e-global-color-secondary) !important;
}

.custom-btn a:hover{
	background: transparent !important;
	border-color: var( --e-global-color-accent);
    color: var( --e-global-color-accent) !important;
}

.custom-btn.btn2 a:hover{
	background: transparent !important;
	border-color: var( --e-global-color-accent);
	color: var( --e-global-color-accent) !important;
}

.custom-btn.btn2 a:after {
    background: none !important;
    border-color: #CC2E72;
    border-style: solid;
    content: '';
    opacity: 1 !important;
    position: absolute;
    height: 20px;
    width: 20px;
    border-width: 0 2px 2px 0;
    bottom: -8px;
    right: -8px;
}

/********************************************************************************************************/

/*-------------------*\
    HOME
\*-------------------*/

/*--------------------------------------------------------------
 * ## INFOBOX-SECTION & FLIPBOX-SECTION
 *--------------------------------------------------------------
*/

.infobox-section .eael-infobox,
.flipbox-section .eael-elements-flip-box-front-container .eael-elements-flip-box-padding{
	display: flex;
    flex-direction: column;
}

.infobox-section .eael-infobox .infobox-content,
.flipbox-section .eael-elements-flip-box-front-container .eael-elements-flip-box-heading{
	order: 0;
}

.infobox-section .eael-infobox .infobox-icon,
.flipbox-section .eael-elements-flip-box-front-container .eael-elements-flip-box-content{
	order: 1;
}

.flipbox-section .eael-elements-flip-box-front-container .eael-elements-slider-display-table, 
.flipbox-section .eael-elements-flip-box-front-container .eael-elements-flip-box-vertical-align,
.flipbox-section .eael-elements-flip-box-container .eael-elements-flip-box-padding {
    height: 100%;
}

.infobox-section .eael-infobox-content-align-right .eael-infobox .infobox-icon {
    display: flex;
}

.flipbox-section.sec2 .elementor-widget-wrap {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.flipbox-section.sec2 .elementor-widget-wrap .elementor-widget.elementor-widget-eael-flip-box {
    margin-bottom: 20px;
    width: calc(33.33% - 12px);
}

.flipbox-section .eael-elements-flip-box-front-container .eael-elements-flip-box-icon-image{
  	margin: auto 0 0;
	order: 2;
}

.flipbox-section .eael-elements-flip-box-container .eael-elements-flip-box-padding{
    padding: 0;
}

/*--------------------------------------------------------------
 * ## PORTFOLIO SECTION
 *--------------------------------------------------------------
*/

.portfolio-section .gallery-item-thumbnail-wrap {
    background-position: top center;
    background-size: cover;
    transition: all 5s ease;
}

.portfolio-section .eael-gallery-grid-item:hover .gallery-item-thumbnail-wrap {
    background-position: bottom center;
}

.portfolio-section .eael-gallery-grid-item .gallery-item-thumbnail-wrap img{
    display: none;
}

.portfolio-section .eael-filterable-gallery-item-wrap .eael-gallery-grid-item {
    background: #ccc;
    transition: all 0.3s ease;
}

.portfolio-section .eael-filterable-gallery-item-wrap .eael-gallery-grid-item:before {
    content: "";
    display: block;
    width: 100%;
    height: 15px;
    background-color: #ccc;
    border-radius: 5px 5px 0 0;
    position: absolute;
    top: 0;
    z-index: 11;
}

.portfolio-section .eael-filterable-gallery-item-wrap .eael-gallery-grid-item:after {
    content: "\2022 \2022 \2022";
    font-size: 16px;
    display: inline-block;
    position: absolute;
    top: 0px;
    left: 5px;
    line-height: 1;
    z-index: 12;
}

.portfolio-section .eael-filterable-gallery-item-wrap .eael-gallery-grid-item:hover:before{
    background: var( --e-global-color-accent );
}

.portfolio-section .eael-filterable-gallery-item-wrap .eael-gallery-grid-item:hover:after{
    color: #ffffff;
}

/*--------------------------------------------------------------
 * ## other
 *--------------------------------------------------------------
*/
  
.about-sec .swiper {
    overflow: visible;
    width: 100%;
    height: 100%;
}

.about-sec .swiper-wrapper,
.portfolio-slider-sec .swiper-wrapper{
    flex-wrap: nowrap;
    padding: 0 !important;
}

/* .about-sec .swiper-slide {
    opacity: 0 !important;
}

.about-sec .swiper-slide-active {
    opacity: 1 !important;
} */

.about-sec .elementor-image-box-wrapper {
    justify-content: space-between;
}

.about-sec .elementor-image-box-content {
    padding: 40px 40px 40px 40px;
    background-color: #191919;
    border-radius: 0px 0px 0px 0px;
    box-shadow: 0px 0px 30px 0px rgb(0 0 0 / 5%);
    width: 45% !important;
    text-align: left;
    position: relative;
}

.about-sec figure.elementor-image-box-img{
    position: relative;
}

.about-sec figure.elementor-image-box-img:before {
    background: url(http://staging4.wptechgiants.com/wp-content/uploads/2022/02/mac.png) no-repeat scroll center/contain;
    content: '';
display: none;
    position: absolute;
    width: 120%;
    height: 120%;
    left: -10%;
}

.about-sec img {
    max-width: 550px;
    max-height: 400px;
    width: auto;
position: relative;
}

.portfolio-slider-sec .swiper-slide {
    width: 430px;
}

.swiper-container-coverflow:before {
    content: '';
    background: url(http://staging4.wptechgiants.com/wp-content/uploads/2022/02/ipad-blankbg.png) no-repeat scroll top center/cover;
    height: 588px;
    width: 450px;
    position: absolute;
    top: 0;
    left: calc(50% - 225px);
    z-index: 111;
}

.portfolio-slider-sec .elementor-widget-container {
    background-size: cover;
    background-position: top center;
}

body.elementor-editor-active .about-slider-sec .swiper-wrapper,
body.elementor-editor-active .portfolio-slider-sec .swiper-wrapper{
    flex-wrap: wrap;
}

body.elementor-editor-active .about-slider-sec .swiper-slide ,
body.elementor-editor-active .portfolio-slider-sec .swiper-slide {
    opacity: 1 !important;
}

body.elementor-editor-active .about-slider-sec .swiper-slide,
body.elementor-editor-active .portfolio-slider-sec .swiper-slide{
    height: auto;
}

.about-sec .swiper-pagination {
    bottom: -20px;
}

.about-sec .swiper-pagination-bullet-active{
background: #CC2E72;
}

div#fastspring {
    display: none !important;
}

/********************************************************************************************************/

/*-------------------*\
    404 ERROR
\*-------------------*/

.error404 main#content {
    padding: 120px 0 50px;
}

.error404 .page-content {
    font-size: 20px;
    font-weight: 800;
    text-align: center;
    position: relative;
}

.error404 .page-content:before {
    background: url(http://staging4.wptechgiants.com/wp-content/uploads/2024/06/404.png) no-repeat scroll center / cover;
    content: '';
    display: block;
    height: 270px;
    margin: 0 auto 50px;
    width: 400px;
}

ul.testimonial-star-rating {
    padding: 0;
    list-style: none;
}

ul.testimonial-star-rating li{
    display: inline-block;
}

/********************************************************************************************************/

/*-------------------*\
    RESPONSIVE
\*-------------------*/

@media (min-width: 1600px){
	
    .container{
        width: 1400px;
    }

    .container,
    #site-header-inner,
    .elementor-section.elementor-section-boxed > .elementor-container {
        max-width: 1400px;
    }
	
}


@media (max-width: 1024px){

    .tp-lt-border:before,
    .tp-rt-border:before,
    .bt-lt-border:before,
    .bt-rt-border:before{	
        height: 40px;
        width: 40px;
    }

    header#masthead ul.hfe-nav-menu{
        justify-content: flex-start !important;
        padding: 20px;
    }

    header#masthead .hfe-nav-menu li:not(.custom-btn) {
        padding-bottom: 20px;
    }

    header#masthead .hfe-nav-menu .custom-btn{   
        padding-right: 12px;
        width: auto !important;
    }
    
    header#masthead .hfe-nav-menu .custom-btn a{
        padding: 12px 15px !important;
    }

}


@media (max-width: 782px){

    body.logged-in header#masthead.sticky {
        top: 46px;
    }
}

@media (max-width: 767px){

    header#masthead #site-logo #site-logo-inner a img{
        max-height: 60px !important;
    }

    .top-banner-section > .elementor-container{
        min-height: initial !important;
    }

    .top-banner-section:before, .top-banner-section:after{
        display: none;
    }

    .infobox-section .bt-lt-border:before {
        border-width: 5px 0 0 5px;
        bottom: auto;
        left: auto;
        top: -10px;
        left: -10px;
    }

    .flipbox-section .tp-rt-border:before,
    .flipbox-section .bt-lt-border:before{
        display: none;
    }

    .approach-sec .content-col{
        order: 1;
    }

    .approach-sec div:not(.content-col){
        order: 2;
    }

    .flipbox-section.sec2 .elementor-widget-wrap .elementor-widget.elementor-widget-eael-flip-box {
        width: 100%;
    }

}

@media (max-width: 600px){

    html #wpadminbar{
        position: fixed;
    }

}

@media (max-width: 400px){

    .error404 .page-content:before {
        height: 203px;
        width: 300px;
    }
}